package com.jobs.controller;

import com.jobs.service.TestService;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@RestController
@RequestMapping("/test")
public class TestController {

    //这里生成远程接口代理，从而可以调用远程服务接口
    @Reference
    private TestService testService;

    @RequestMapping("/getmsg")
    public String GetMsg(String name) {
        String result = testService.GetMsg(name);
        return result;
    }

    //采用 restful 风格，把传递的参数写在路径上
    @GetMapping("/getcal/{num1}/{num2}")
    public int GetCal(@PathVariable("num1") int a, @PathVariable("num2") int b) {
        int result = testService.GetCal(a, b);
        return result;
    }
}
